/**
 * Author: Maurice Lebon
 * Description: Core styles of the site
 */
/***********
 * General *
 ***********/
/* #wrap {
    padding: 0;
    box-shadow: 0px 8px 5px 0px #dfdfdf;
} */
/**********
 * Layout *
 **********/
#dcw-container {
  margin: 0 auto;
  padding-top: 0.05px;
  min-width: 18.75em;
  max-width: 99.75rem;
  box-sizing: border-box;
  position: relative;
  z-index: 0;
}

@media (max-width: 1119px) {
  #dcw-container {
    width: 100%;
  }
}

/***************
 * Backgrounds *
 ***************/
#background {
  width: 100%;
  height: 1200px;
  position: absolute;
  left: 0px;
  z-index: -1;
}

#background-header {
  width: 100%;
  height: 95px;
  background: #292929;
  position: absolute;
  left: 0px;
}

#background-glare {
  width: 100%;
  height: 436px;
  position: absolute;
  top: 95px;
  left: 0px;
  background: url(../img/glare.png) no-repeat;
  z-index: -1;
}

/**********
 * Header *
 **********/
#header {
  height: 95px;
  text-align: left;
  margin-bottom: 35px;
}

#header-content {
  min-width: auto;
  margin: 0 auto;
  padding: 0;
  position: relative;
  padding-left: 3.25rem;
  padding-right: 3.25rem;
  max-width: 93.5rem;
  box-sizing: content-box;
}

#header-content h1#logo {
  position: absolute;
  font: bold 45px 'Trebuchet MS', Sans-serif;
  letter-spacing: -2px;
  color: #FFF;
  margin: 0;
  padding: 0;
  top: 5px;
  left: 0px;
}

#header-content h1#logo a {
  text-decoration: none;
  color: #FFF;
}

#header-content h1#logo a span {
  color: #BFBFBF;
}

#header-content #slogan {
  position: absolute;
  font: 500 0.8rem 'Poppins', Open Sans, 'Helvetica Neue', Helvetica, Arial, 'Trebuchet Ms', Sans-serif;
  text-transform: none;
  color: #FFF;
  margin: 0;
  padding: 0;
  top: 60px;
  left: 2px;
}

#header-content #main-menu {
  position: absolute;
  right: 115px;
  top: 65px;
  font: bolder 1rem 'Poppins', Open Sans, 'Helvetica Neue', Helvetica, Arial, 'Trebuchet MS', sans-serif;
  color: #FFF;
  list-style: none;
  margin: 0;
  padding: 0;
}

#header-content #main-menu li {
  display: inline;
}

#header-content #main-menu li a {
  float: left;
  padding: 5px 14px 5px;
  color: #FFF;
  outline: none;
  background-color: #333;
  text-decoration: none;
  border-right: 1px solid #272727;
  font-size: 0.85em;
  font-weight: 500;
}

#header-content #main-menu li a:hover {
  background: #4A7294;
  color: #FFF;
}

#header-content #main-menu li a.current {
  background: #4A7294;
  color: #FFF;
}

#header-content #conan {
  position: absolute;
  margin: 0;
  padding: 0;
  top: 10px;
  right: 50px;
  width: 75px;
  height: 125px;
  background: url(../img/conan.png) no-repeat;
}

#header-content #background-xmas {
  position: absolute;
  margin: 0;
  padding: 0;
  width: 75px;
  height: 89px;
  top: 5px;
  left: -30px;
  background: url(../img/seasons/christmas-tree.png) no-repeat;
}

#header-content #background-xmas-2 {
  position: absolute;
  margin: 0;
  padding: 0;
  width: 70px;
  height: 53px;
  top: 35px;
  left: 185px;
  background: url(../img/seasons/christmas-bells.png) no-repeat;
}

/**********
 * Navbar *
 **********/
.dcw-navbar {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-link, .dcw-navbar {
  padding: .5rem 1rem;
}

.nav, .dcw-navbar {
  flex-wrap: wrap;
}

.dcw-navbar-brand {
  display: inline-block;
  padding-top: .3125rem;
  padding-bottom: .3125rem;
  margin-right: 1rem;
  font-size: 1.25rem;
  line-height: inherit;
}

.dcw-navbar-brand {
  white-space: nowrap;
}

.dcw-navbar-toggler:not(:disabled):not(.disabled) {
  cursor: pointer;
}

.dcw-navbar-dark .dcw-navbar-toggler {
  color: rgba(255, 255, 255, 0.5);
  border-color: rgba(255, 255, 255, 0.1);
}

@media (min-width: 1120px) {
  .dcw-navbar-expand-lg .dcw-navbar-toggler {
    display: none;
  }
}

.dcw-navbar-toggler {
  padding: .5rem .75rem;
  font-size: 1.25rem;
  line-height: 1;
  background-color: transparent;
  border: 1px solid transparent;
  border-radius: .25rem;
}

.dcw-navbar-toggler .icon-bar {
  display: block;
  width: 22px;
  height: 2px;
  margin: 4px 0;
  background-color: #888;
}

@media (min-width: 1120px) {
  .dcw-navbar-expand-lg .dcw-navbar-collapse {
    display: flex !important;
    flex-basis: auto;
  }
}

.collapse:not(.show) {
  display: none;
}

.dcw-navbar-collapse {
  flex-basis: 100%;
  flex-grow: 1;
  align-items: center;
}

@media (min-width: 1120px) {
  .dcw-navbar-expand-lg .dcw-navbar-nav {
    flex-direction: row;
  }
}

.dcw-navbar-nav {
  display: flex;
  flex-direction: column;
  padding-left: 0;
  margin-bottom: 0;
}

.dropdown-menu, .nav, .dcw-navbar-nav {
  list-style: none;
}

.nav-link {
  display: block;
}

/******************
 * Responsiveness *
 ******************/
@media (min-width: 1120px) {
  .mw-body {
    grid-template-columns: minmax(0, 1fr) min-content;
  }
}

@media (max-width: 1119px) {
  #header {
    padding: 0;
    margin-bottom: 0;
  }
  #header-content {
    width: 100%;
    padding: 0;
  }
  #header-content .dcw-navbar {
    padding: 0;
  }
  #header-content #header-content .dcw-navbar-collapse {
    z-index: 9;
    background: #292929;
    margin-top: 28px;
  }
  #header-content .dcw-navbar-toggler {
    margin-top: 30px;
    margin-right: 20px;
    margin-bottom: 26px;
  }
  #header-content h1#logo {
    top: 5px;
    left: 20px;
  }
  #header-content #slogan {
    top: 60px;
    left: 22px;
  }
  #header-content #main-menu {
    top: 64px;
    position: initial;
  }
  #header-content #main-menu .nav-item {
    z-index: 1;
    margin: 0;
  }
  #header-content #main-menu .nav-link {
    float: none;
    padding: 10px 15px;
  }
  #header-content #conan {
    display: none;
  }
  #header-content #wrap {
    max-width: 100%;
  }
  #content-wrap {
    box-shadow: none !important;
  }
}
